Bug 1297854 - Review Request: purple-libsteam - Adds support for Steam protocol to libpurple-based messengers
Review Request: purple-libsteam - Adds support for Steam protocol to libpurpl...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Simone Caronni
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-12 11:02 EST by Vitaly Zaitsev
Modified: 2016-07-09 22:21 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-06-30 15:53:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
negativo17: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Vitaly Zaitsev 2016-01-12 11:02:43 EST
Spec URL: https://raw.githubusercontent.com/xvitaly/purple-libsteam/master/purple-libsteam.spec

SRPM URL: https://copr-be.cloud.fedoraproject.org/results/xvitaly/purple-libsteam/fedora-23-x86_64/00153048-purple-libsteam/purple-libsteam-1.6.1-5.20160108git8646d36.fc23.src.rpm

Description: Adds support for Steam protocol to Pidgin, Finch and other libpurple based messengers. Not requires Steam client.

Fedora Account System Username: xvitaly
Comment 2 Simone Caronni 2016-06-19 04:52:50 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Sources used to build the package match the upstream source, as provided
  in the spec URL.
  Note: Upstream MD5sum check error, diff is in
  /home/slaanesh/Downloads/1297854-purple-libsteam/diff.txt
  See: http://fedoraproject.org/wiki/Packaging/SourceURL
- All build dependencies are listed in BuildRequires, except for any that
  are listed in the exceptions section of Packaging Guidelines.
  Note: These BR are not needed: gcc
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#Exceptions_2


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[-]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated". 10 files have unknown license. Detailed
     output of licensecheck in /home/slaanesh/Downloads/1297854-purple-
     libsteam/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[-]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[!]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in pidgin-
     libsteam , purple-libsteam-debuginfo
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.
Comment 3 Simone Caronni 2016-06-19 04:53:01 EDT
Rpmlint
-------
Checking: purple-libsteam-1.6.1-10.20160416gitbf7dd28.fc23.x86_64.rpm
          pidgin-libsteam-1.6.1-10.20160416gitbf7dd28.fc23.noarch.rpm
          purple-libsteam-debuginfo-1.6.1-10.20160416gitbf7dd28.fc23.x86_64.rpm
          purple-libsteam-1.6.1-10.20160416gitbf7dd28.fc23.src.rpm
purple-libsteam.x86_64: W: spelling-error Summary(en_US) libpurple -> lib purple, lib-purple, purple
purple-libsteam.x86_64: W: spelling-error %description -l en_US libpurple -> lib purple, lib-purple, purple
pidgin-libsteam.noarch: W: no-documentation
purple-libsteam.src: W: spelling-error Summary(en_US) libpurple -> lib purple, lib-purple, purple
purple-libsteam.src: W: spelling-error %description -l en_US libpurple -> lib purple, lib-purple, purple
4 packages and 0 specfiles checked; 0 errors, 5 warnings.




Rpmlint (debuginfo)
-------------------
Checking: purple-libsteam-debuginfo-1.6.1-10.20160416gitbf7dd28.fc23.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
purple-libsteam.x86_64: W: spelling-error Summary(en_US) libpurple -> lib purple, lib-purple, purple
purple-libsteam.x86_64: W: spelling-error %description -l en_US libpurple -> lib purple, lib-purple, purple
pidgin-libsteam.noarch: W: no-documentation
3 packages and 0 specfiles checked; 0 errors, 3 warnings.



Requires
--------
purple-libsteam (rpmlib, GLIBC filtered):
    libc.so.6()(64bit)
    libdl.so.2()(64bit)
    libgio-2.0.so.0()(64bit)
    libglib-2.0.so.0()(64bit)
    libgobject-2.0.so.0()(64bit)
    libjson-glib-1.0.so.0()(64bit)
    libnspr4.so()(64bit)
    libnss3.so()(64bit)
    libnss3.so(NSS_3.2)(64bit)
    libnss3.so(NSS_3.3)(64bit)
    libnssutil3.so()(64bit)
    libplc4.so()(64bit)
    libplds4.so()(64bit)
    libpthread.so.0()(64bit)
    libpurple.so.0()(64bit)
    libsmime3.so()(64bit)
    libssl3.so()(64bit)
    rtld(GNU_HASH)

pidgin-libsteam (rpmlib, GLIBC filtered):
    pidgin
    purple-libsteam

purple-libsteam-debuginfo (rpmlib, GLIBC filtered):



Provides
--------
purple-libsteam:
    libsteam.so()(64bit)
    purple-libsteam
    purple-libsteam(x86-64)

pidgin-libsteam:
    pidgin-libsteam

purple-libsteam-debuginfo:
    purple-libsteam-debuginfo
    purple-libsteam-debuginfo(x86-64)



Unversioned so-files
--------------------
purple-libsteam: /usr/lib64/purple-2/libsteam.so

Source checksums
----------------
https://github.com/EionRobb/pidgin-opensteamworks/archive/bf7dd28e4247f772313d1b4005c4084eb4890301.tar.gz#/pidgin-opensteamworks-bf7dd28.tar.gz :
  CHECKSUM(SHA256) this package     : a6b781a087bdc8319ceed25c39535d90cf5e4524e33ea24e0c25046ef7b60cf8
  CHECKSUM(SHA256) upstream package : 384475f1666cbdbdcd1796646a2935b34d6bf927b04b181e8f392760eb7e5634
diff -r also reports differences
Comment 4 Simone Caronni 2016-06-19 04:57:01 EDT
> [!]: License field in the package spec file matches the actual license.
>      Note: Checking patched sources after %prep for licenses. Licenses
>      found: "Unknown or generated". 10 files have unknown license. Detailed
>      output of licensecheck in /home/slaanesh/Downloads/1297854-purple-
>      libsteam/licensecheck.txt

That's ok, but please ask upstream to include the appropriate headers in the files.

> [!]: Fully versioned dependency in subpackages if applicable.
>      Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in pidgin-
>      libsteam , purple-libsteam-debuginfo

Dependencies specified like this means the "pidgin-libsteam.i686" can consider its dependencies satisfied by a "purple-libsteam.x86_64" package. Will then it work? If it does, it's correct, if not then you should use this as a dependency:

%{name}%{?_isa} = %{version}-%{release}

This also applies to purple-skypeweb as well, but it came to my mind now. If the i686/x86_64 package mix does not work, please update this spec file and re-build also the purple-skypeweb package with that.

Apart from this, package looks good!
Comment 5 Simone Caronni 2016-06-19 06:09:33 EDT
(In reply to Simone Caronni from comment #4)
> > [!]: Fully versioned dependency in subpackages if applicable.
> >      Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in pidgin-
> >      libsteam , purple-libsteam-debuginfo
> 
> Dependencies specified like this means the "pidgin-libsteam.i686" can
> consider its dependencies satisfied by a "purple-libsteam.x86_64" package.
> Will then it work? If it does, it's correct, if not then you should use this
> as a dependency:
> 
> %{name}%{?_isa} = %{version}-%{release}
> 
> This also applies to purple-skypeweb as well, but it came to my mind now. If
> the i686/x86_64 package mix does not work, please update this spec file and
> re-build also the purple-skypeweb package with that.

Nevermind, this is noarch, stupid me. Package approved!
Comment 7 Gwyn Ciesla 2016-06-20 10:18:40 EDT
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/purple-libsteam
Comment 8 Fedora Update System 2016-06-20 14:24:17 EDT
purple-libsteam-1.6.1-11.20160618gitcd5a294.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-c59b04a0bb
Comment 9 Fedora Update System 2016-06-20 14:25:32 EDT
purple-libsteam-1.6.1-11.20160618gitcd5a294.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-0d535008b4
Comment 10 Fedora Update System 2016-06-20 14:26:21 EDT
purple-libsteam-1.6.1-11.20160618gitcd5a294.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-827f3e90f5
Comment 11 Fedora Update System 2016-06-21 22:19:16 EDT
purple-libsteam-1.6.1-11.20160618gitcd5a294.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-827f3e90f5
Comment 12 Fedora Update System 2016-06-21 22:27:37 EDT
purple-libsteam-1.6.1-11.20160618gitcd5a294.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-0d535008b4
Comment 13 Fedora Update System 2016-06-21 22:55:26 EDT
purple-libsteam-1.6.1-11.20160618gitcd5a294.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-c59b04a0bb
Comment 14 Fedora Update System 2016-06-30 15:53:27 EDT
purple-libsteam-1.6.1-11.20160618gitcd5a294.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2016-06-30 17:29:20 EDT
purple-libsteam-1.6.1-11.20160618gitcd5a294.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2016-07-09 22:21:33 EDT
purple-libsteam-1.6.1-11.20160618gitcd5a294.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.